[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Libguestfs] [PATCH] maint.mk: remove error_message_period check



On Wed, Mar 11, 2015 at 01:18:45AM -0400, Chen Hanxiao wrote:
> As discussed at:
> https://www.redhat.com/archives/libguestfs/2014-September/msg00215.html
> 
> Signed-off-by: Chen Hanxiao <chenhanxiao cn fujitsu com>
> ---
>  maint.mk | 7 -------
>  1 file changed, 7 deletions(-)
> 
> diff --git a/maint.mk b/maint.mk
> index b6ec1b5..76759d4 100644
> --- a/maint.mk
> +++ b/maint.mk
> @@ -408,13 +408,6 @@ sc_error_message_uppercase:
>  	  { echo '$(ME): found capitalized error message' 1>&2;		\
>  	    exit 1; } || :
>  
> -# Error messages should not end with a period
> -sc_error_message_period:
> -	@grep -nEA2 '[^rp]error *\(' $$($(VC_LIST_EXCEPT))		\
> -	    | grep -E '[^."]\."' &&					\
> -	  { echo '$(ME): found error message ending in period' 1>&2;	\
> -	    exit 1; } || :
> -
>  sc_file_system:
>  	@prohibit=file''system						\
>  	ignore_case=1							\
> -- 
> 2.1.0

It seems as if maint.mk is generated, although I have no idea where ...

Rich.

-- 
Richard Jones, Virtualization Group, Red Hat http://people.redhat.com/~rjones
Read my programming and virtualization blog: http://rwmj.wordpress.com
virt-df lists disk usage of guests without needing to install any
software inside the virtual machine.  Supports Linux and Windows.
http://people.redhat.com/~rjones/virt-df/


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]